Subject: Re: bug#18289: libparted ped_disk_clobber() overwrites firmware on some arm systems

From: "Brian C. Lane" <[email-masked]>
Date: Wed, 27 Aug 2014 15:16:46 -0700

On Thu, Aug 28, 2014 at 12:06:21AM +0200, Karsten Merker wrote:
> On Mon, Aug 18, 2014 at 10:07:59PM +0200, Karsten Merker wrote:
> 
> > You are fully right that normally a bootloader should be
> > installed after partitioning.  This works well for the case of a
> > bootloader that uses universally available BIOS functions and is
> > not hardware-specific, such as is the case on PCs.  In the case
> > of u-boot on the other hand, in PC-lingo we would have to provide
> > the installer with the ability to flash the BIOS for every PC
> > model on the market as part of the operating system installation,
> > which is not feasible.  We might be able to do that for a small
> > selection of devices, but not for all of them --> we need to keep
> > the u-boot image that is on the device even when creating a new
> > disklabel, but we are unsure what is the best way to handle this.
> > 
> > The approach in https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=751704#60
> > (setting PedDisk.needs_clobber to 0 before calling ped_disk_commit
> > for specific devices) works in practice, but the question was
> > whether it is ok for the calling application to fiddle around with
> > the needs_clobber flag, or whether we should take some other
> > approach.
> 
> Hello Brian,
> 
> may I ping you again regarding the last paragraph? The question
> whether this approach is ok from a libparted point of view is
> still open and I would very much apprechiate your feedback on it.

Oops, sorry about that. I think that's probably ok. I'm not sure what
other option you have.

-- 
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)